!===========================================================
program test

! ACT likelihood version v2a1s September 2010

! (Based on WMAP likelihood code)
! Viviana Acquaviva, Sudeep Das, Jo Dunkley, Amir Hajian
! Renee Hlozek, Kavi Moodley, Neelima Sehgal, Jon Sievers
!===========================================================


use act_likelihood_2008
use act_options

implicit none

real(8), dimension(:), allocatable :: cl_tt
character(LEN=128) :: filename
real(8)            :: like(num_ACT),like_tot, amp_sz,amp_c,amp_p
integer            :: lun, il, dummy
INTEGER, PARAMETER :: ttmax =6000 

!---------------------------------------------------

print *,""
print *,"ACT likelihood test"
print *,"==================================="
call act_likelihood_init

!---------------------------------------------------
! read in test Cls
!---------------------------------------------------
filename = trim(ACT_data_dir)//'test_cls_act.dat'
write(*,*)"Reading in Cls from: ",trim(filename)
call get_free_lun( lun )
open(unit=lun,file=filename,action='read',status='old')
allocate(cl_tt(2:tt_lmax))
cl_tt(2:tt_lmax)=0.d0

do il=2,ttmax
   read(lun,*)dummy,cl_tt(il)
enddo
close(lun)


!Define SZ and ptsrc parameters
amp_sz=0.5
amp_p =16.0
amp_c =0.0

call act_likelihood_compute(cl_tt,amp_sz,amp_c,amp_p,like)
like_tot = sum(like(1:num_ACT))

write(*,*) '-------------------------------------'
write(*,*) 'ACT      -2lnL = ', 2.*sum(like(1:num_ACT))
write(*,*) ''
write(*,*) ''
write(*,*) 'Expected -2lnL =    32.1254282337075'
write(*,*) '-------------------------------------'
write(*,*) ''


 end program test
	
